## modsecurity-crs 3.3.2

=== tests/regression/requirements.txt ===
ftw==1.1.7

## modsecurity-crs 2.1.2

=== debian/changelog ===
modsecurity-crs (2.1.2-1) unstable; urgency=low

  * Initial release (Closes: #620252)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 31 Mar 2011 16:42:48 +0200

=== debian/control ===
Source: modsecurity-crs
Section: httpd
Priority: extra
Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Homepage: http://www.modsecurity.org

Package: modsecurity-crs
Architecture: all
Depends: libapache2-modsecurity, ${misc:Depends}
Suggests: lua
Description: modsecurity's Core Rule Set
 modsecurity provides critical protections against attacks across most every
 web architecture. CRS is based on generic rules which focus on attack payload
 identification in order to provide protection from zero day and unknown
 vulnerabilities often found in web applications, which are in most cases
 custom coded.
 .
 Core Rules use the following techniques: HTTP request validation, HTTP
 protocol anomalies, Global constraints, HTTP Usage policy, Malicious client
 software detection, Generic Attack Detection (SQL injection, Cross Site
 Scripting, OS Command Injection, ColdFusion, PHP and ASP injection, etc.),
 Trojans & Backdoors Detection, Error Detection, XML Protection, Search Engine
 Monitoring.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://sourceforge.net/projects/mod-security/files/modsecurity-crs/0-CURRENT/ modsecurity-crs_(.*)\.tar\.gz

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
http://sf.net/mod-security/modsecurity-crs_(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html modsecurity-crs-(.*)\.tar\.gz

## modsecurity-crs 2.2.0

=== debian/changelog ===
modsecurity-crs (2.2.0-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.9.2

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 16 Jun 2011 17:55:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.modsecurity.org
 
 Package: modsecurity-crs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_compress:
	dh_compress --exclude=common.c

binary:
	dh $@ --until dh_install
	cp modsecurity_crs_10_config.conf.example debian/modsecurity-crs/usr/share/modsecurity-crs/modsecurity_crs_10_config.conf
	cp -r base_rules/ debian/modsecurity-crs/usr/share/modsecurity-crs/
	cp -r experimental_rules/ debian/modsecurity-crs/usr/share/modsecurity-crs/
	cp -r lua/ debian/modsecurity-crs/usr/share/modsecurity-crs/
	cp -r optional_rules/ debian/modsecurity-crs/usr/share/modsecurity-crs/
	cp -r util/ debian/modsecurity-crs/usr/share/modsecurity-crs/
	rm -rf debian/modsecurity-crs/usr/share/modsecurity-crs/util/runAV
	dh $@ --until dh_installexamples
	chmod a-x debian/modsecurity-crs/usr/share/doc/modsecurity-crs/examples/runAV/*
	dh $@ --after dh_installexamples

## modsecurity-crs 2.2.2

=== debian/changelog ===
modsecurity-crs (2.2.2-1) unstable; urgency=low

  * New upstream release
  * Added >= 2.6.0 to libapache2-modsecurity dependency (Closes: #640837)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sun, 02 Oct 2011 12:16:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -26,5 +26,6 @@
 	rm -rf debian/modsecurity-crs/usr/share/modsecurity-crs/util/runAV
 	dh $@ --until dh_installexamples
 	chmod a-x debian/modsecurity-crs/usr/share/doc/modsecurity-crs/examples/runAV/*
+	chmod a-x debian/modsecurity-crs/usr/share/modsecurity-crs/util/regression_tests/tests/*
 	dh $@ --after dh_installexamples

## modsecurity-crs 2.2.3

=== debian/changelog ===
modsecurity-crs (2.2.3-1) unstable; urgency=low

  * New upstream release

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 20 Dec 2011 07:47:43 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: modsecurity-crs
 Architecture: all
-Depends: libapache2-modsecurity, ${misc:Depends}
+Depends: libapache2-modsecurity (>= 2.6.0), ${misc:Depends}
 Suggests: lua
 Description: modsecurity's Core Rule Set
  modsecurity provides critical protections against attacks across most every

## modsecurity-crs 2.2.4

=== debian/changelog ===
modsecurity-crs (2.2.4-1) unstable; urgency=low

  * New upstream release
  * Include activated_rules/ directory for alternate way to handle
    rules inclusion
  * Bumped Standards-Version to 3.9.3

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 16 Mar 2012 17:23:57 +0100

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	cp -r experimental_rules/ debian/modsecurity-crs/usr/share/modsecurity-crs/
 	cp -r lua/ debian/modsecurity-crs/usr/share/modsecurity-crs/
 	cp -r optional_rules/ debian/modsecurity-crs/usr/share/modsecurity-crs/
+	cp -r activated_rules/ debian/modsecurity-crs/usr/share/modsecurity-crs/
 	cp -r util/ debian/modsecurity-crs/usr/share/modsecurity-crs/
 	rm -rf debian/modsecurity-crs/usr/share/modsecurity-crs/util/runAV
 	dh $@ --until dh_installexamples

=== debian/watch ===
version=3
http://sf.net/mod-security/modsecurity-crs_(.*)\.tar\.gz

## modsecurity-crs 2.2.5

=== debian/changelog ===
modsecurity-crs (2.2.5-2) unstable; urgency=low

  * Update debian/copyright with right license.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 02 Jul 2012 17:18:35 +0200

modsecurity-crs (2.2.5-1) unstable; urgency=low

  * New upstream release

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 18 Jun 2012 11:44:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.modsecurity.org
 
 Package: modsecurity-crs

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 binary:
 	dh $@ --until dh_install
-	cp modsecurity_crs_10_config.conf.example debian/modsecurity-crs/usr/share/modsecurity-crs/modsecurity_crs_10_config.conf
+	cp modsecurity_crs_10_setup.conf.example debian/modsecurity-crs/usr/share/modsecurity-crs/modsecurity_crs_10_setup.conf
 	cp -r base_rules/ debian/modsecurity-crs/usr/share/modsecurity-crs/
 	cp -r experimental_rules/ debian/modsecurity-crs/usr/share/modsecurity-crs/
 	cp -r lua/ debian/modsecurity-crs/usr/share/modsecurity-crs/

## modsecurity-crs 2.2.8

=== debian/changelog ===
modsecurity-crs (2.2.8-1) unstable; urgency=low

  * New upstream version
  * Update perl_path patch
  * Fix path to GeoLiteCity.dat (Closes: #705248)
  * Add geoip-database-contrib to Suggests
  * Fix path to arachni_integration.lua (Closes: #705249)
  * Fix path to appsensor_request_exception_enforce.lua (Closes: #705250)
  * Update debian/rules and debian/watch

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 12 Jul 2013 10:36:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: extra
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.modsecurity.org
 
 Package: modsecurity-crs
 Architecture: all
 Depends: libapache2-modsecurity (>= 2.6.0), ${misc:Depends}
-Suggests: lua
+Suggests: lua, geoip-database-contrib, ruby
 Description: modsecurity's Core Rule Set
  modsecurity provides critical protections against attacks across most every
  web architecture. CRS is based on generic rules which focus on attack payload

## modsecurity-crs 2.2.9

=== debian/changelog ===
modsecurity-crs (2.2.9-1) unstable; urgency=medium

  * New upstream version
  * Change Depends from libapache2-modsecurity to 
    libapache2-mod-security2.
  * Bump dependency version on libapache2-mod-security2.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 23 Sep 2014 13:22:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: extra
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.modsecurity.org
 
 Package: modsecurity-crs
 Architecture: all
-Depends: libapache2-modsecurity (>= 2.6.0), ${misc:Depends}
+Depends: libapache2-mod-security2 (>= 2.8.0), ${misc:Depends}
 Suggests: lua, geoip-database-contrib, ruby
 Description: modsecurity's Core Rule Set
  modsecurity provides critical protections against attacks across most every

=== debian/rules ===
--- 
+++ 
@@ -15,18 +15,19 @@
 override_dh_compress:
 	dh_compress --exclude=common.c
 
-binary:
-	dh $@ --until dh_install
+override_dh_auto_install:
 	cp modsecurity_crs_10_setup.conf.example debian/modsecurity-crs/usr/share/modsecurity-crs/modsecurity_crs_10_setup.conf
 	cp -r base_rules/ debian/modsecurity-crs/usr/share/modsecurity-crs/
 	cp -r experimental_rules/ debian/modsecurity-crs/usr/share/modsecurity-crs/
 	cp -r lua/ debian/modsecurity-crs/usr/share/modsecurity-crs/
 	cp -r optional_rules/ debian/modsecurity-crs/usr/share/modsecurity-crs/
 	cp -r activated_rules/ debian/modsecurity-crs/usr/share/modsecurity-crs/
+	cp -r slr_rules/ debian/modsecurity-crs/usr/share/modsecurity-crs/
 	cp -r util/ debian/modsecurity-crs/usr/share/modsecurity-crs/
-	rm -rf debian/modsecurity-crs/usr/share/modsecurity-crs/util/runAV
-	dh $@ --until dh_installexamples
-	chmod a-x debian/modsecurity-crs/usr/share/doc/modsecurity-crs/examples/runAV/*
-	chmod a-x debian/modsecurity-crs/usr/share/modsecurity-crs/util/regression_tests/tests/*
-	dh $@ --after dh_installexamples
 
+override_dh_fixperms:
+	dh_fixperms
+	chmod 755 debian/modsecurity-crs/usr/share/modsecurity-crs/util/rule-management/remove-2.7-actions.pl
+	chmod 755 debian/modsecurity-crs/usr/share/modsecurity-crs/util/regression-tests/testserver.cgi
+	find debian/modsecurity-crs/usr/share/modsecurity-crs/util \( -name '*.c' -o -name '*.h' -o -name '*.tests' \) -exec chmod a-x {} \;
+

=== debian/watch ===
version=3
http://github.com/SpiderLabs/owasp-modsecurity-crs/releases .*/v?(\d[\d\.]+)\.tar\.gz

## modsecurity-crs 3.0.0

=== debian/changelog ===
modsecurity-crs (3.0.0-3) unstable; urgency=medium

  * Add KNOWN_BUGS file to package
  * Demote libapache2-mod-security2's Dependency to Recommends so nginx
    users can install modsecurity-crs. (Closes: #807033)
  * Move crs-setup and EXCLUSION-RULES to /etc/modsecurity/crs to ease
    user editing and package upgrading.
  * Add new file owasp-crs.load which Includes the required files to get
    OWASP CRS working.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 21 Dec 2016 11:23:50 +0100

modsecurity-crs (3.0.0-2) unstable; urgency=medium

  * Improve README.Debian to avoid including conf files twice.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 17 Nov 2016 13:30:39 +0100

modsecurity-crs (3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 14 Nov 2016 19:17:48 +0100

modsecurity-crs (2.2.9-2) unstable; urgency=medium

  * patches/fix_826710.patch. Remove typo in rule 981063.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 19 Sep 2016 19:43:05 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
 
 Package: modsecurity-crs
 Architecture: all
-Depends: libapache2-mod-security2 (>= 2.8.0), ${misc:Depends}
+Depends: ${misc:Depends}
+Recommends: libapache2-mod-security2 (>= 2.8.0)
 Suggests: lua, geoip-database-contrib, ruby
-Description: modsecurity's Core Rule Set
+Description: OWASP ModSecurity Core Rule Set
  modsecurity provides critical protections against attacks across most every
  web architecture. CRS is based on generic rules which focus on attack payload
  identification in order to provide protection from zero day and unknown

## modsecurity-crs 3.0.2

=== debian/changelog ===
modsecurity-crs (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Add "python" as Suggests to make lintian happy.
  * Bumped Standards-Version to 4.1.0. Changed Priority to "optional".

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 10 Oct 2017 09:59:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: modsecurity-crs
 Section: httpd
-Priority: extra
+Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.5
+Standards-Version: 4.1.0
 Homepage: http://www.modsecurity.org
 
 Package: modsecurity-crs
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: libapache2-mod-security2 (>= 2.8.0)
-Suggests: lua, geoip-database-contrib, ruby
+Suggests: lua, geoip-database-contrib, ruby, python
 Description: OWASP ModSecurity Core Rule Set
  modsecurity provides critical protections against attacks across most every
  web architecture. CRS is based on generic rules which focus on attack payload

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_compress:
	dh_compress --exclude=common.c

override_dh_auto_install:
	cp crs-setup.conf.example debian/modsecurity-crs/etc/modsecurity/crs/crs-setup.conf
	cp -r rules/ debian/modsecurity-crs/usr/share/modsecurity-crs/
	mv debian/modsecurity-crs/usr/share/modsecurity-crs/rules/REQUEST-900-EXCLUSION-RULES-BEFORE-CRS.conf.example debian/modsecurity-crs/etc/modsecurity/crs/REQUEST-900-EXCLUSION-RULES-BEFORE-CRS.conf
	mv debian/modsecurity-crs/usr/share/modsecurity-crs/rules/RESPONSE-999-EXCLUSION-RULES-AFTER-CRS.conf.example debian/modsecurity-crs/etc/modsecurity/crs/RESPONSE-999-EXCLUSION-RULES-AFTER-CRS.conf
	cp debian/owasp-crs.load debian/modsecurity-crs/usr/share/modsecurity-crs/owasp-crs.load
	cp -r util/ debian/modsecurity-crs/usr/share/modsecurity-crs/
	cp -r id_renumbering/ debian/modsecurity-crs/usr/share/modsecurity-crs/

override_dh_fixperms:
	dh_fixperms
	find debian/modsecurity-crs/usr/share/modsecurity-crs/util \( -name '*.c' -o -name '*.h' -o -name '*.tests' \) -exec chmod a-x {} \;

## modsecurity-crs 3.1.0

=== debian/changelog ===
modsecurity-crs (3.1.0-1+deb10u1) buster; urgency=medium

  * Add upstream patch to fix php script upload rules.
    CVE-2019-13464 (Closes: #943773)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sun, 03 Nov 2019 14:34:05 +0100

modsecurity-crs (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debian/compat and Build-Dep on debhelper to 11
  * Bumped Standards-Version to 4.2.1.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 27 Nov 2018 09:12:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: httpd
 Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 4.1.0
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.2.1
 Homepage: http://www.modsecurity.org
 
 Package: modsecurity-crs

## modsecurity-crs 3.1.1

=== debian/changelog ===
modsecurity-crs (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Fixes CVE-2019-11387 (Closes: #928053)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 26 Jun 2019 08:42:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
 Build-Depends: debhelper (>= 11)
 Standards-Version: 4.2.1
-Homepage: http://www.modsecurity.org
+Homepage: https://coreruleset.org
 
 Package: modsecurity-crs
 Architecture: all

## modsecurity-crs 3.2.0

=== debian/changelog ===
modsecurity-crs (3.2.0-1) unstable; urgency=medium

  [ Alberto Gonzalez Iniesta ]
  * debian/control: Add Vcs-* fields

  [ Ervin Hegedus ]
  * New upstream version 3.2.0 (Closes: #943773)
  * Bump debian/compat and Build-Dep on debhelper to 12
  * Added <airween@gmail.com> to Uploaders
  * Modified fix_paths patch:
    * removed the crs-setup.conf.example related part (upstream updated)
    * added the right interpreter in the new script under util/

 -- Ervin Hegedus <airween@gmail.com>  Mon, 21 Oct 2019 19:05:16 +0000

## modsecurity-crs 3.2.3

=== debian/changelog ===
modsecurity-crs (3.2.3-0+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * New upstream release packaged as backporting fixes is not feasible.
    - Security fixes:
      - CVE-2018-16384 (Closes: #924352)
      - CVE-2019-13464 (Closes: #943773)
      - CVE-2021-35368 (Closes: #992000)
      - CVE-2022-39955, CVE-2022-39956, CVE-2022-39957 and CVE-2022-39958
        (Closes: #1021137)
    - Cherry-pick upstream fix for CVE-2020-22669
    - Add a Breaks: relation to older libapache2-mod-security2, as the recent
      update is required for CVE-2022-39956. See also ELA-779-1.
    - add patch so the information about idrenumbering is retained
      (affects documentation only)
    - refresh patch, remove no longer needed hunk.
  * Add postinst/postrm: reload apache2, if apache2 and mod_security2 is
    enabled.

 -- Tobias Frost <tobi@debian.org>  Mon, 30 Jan 2023 19:03:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: modsecurity-crs
 Section: httpd
-Priority: optional
+Priority: extra
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.1
-Homepage: https://coreruleset.org
+Build-Depends: debhelper (>= 7.0.50~)
+Standards-Version: 3.9.5
+Homepage: http://www.modsecurity.org
 
 Package: modsecurity-crs
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: libapache2-mod-security2 (>= 2.8.0)
-Suggests: lua, geoip-database-contrib, ruby, python
+Breaks: libapache2-mod-security2 (<< 2.9.1-2+deb9u2)
+Recommends: libapache2-mod-security2 (>= 2.9.1-2+deb9u2)
+Suggests: lua, geoip-database-contrib, ruby
 Description: OWASP ModSecurity Core Rule Set
  modsecurity provides critical protections against attacks across most every
  web architecture. CRS is based on generic rules which focus on attack payload

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/coreruleset/coreruleset/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## modsecurity-crs 3.3.0

=== debian/changelog ===
modsecurity-crs (3.3.0-1+deb11u1) bullseye; urgency=medium

  * Add upstream patch to fix request body bypass
    CVE-2021-35368 (Closes: #992000)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 24 Aug 2021 17:40:57 +0200

modsecurity-crs (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
  * Refresh patches/fix_paths

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sun, 16 Aug 2020 20:24:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: modsecurity-crs
 Section: httpd
-Priority: extra
+Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.5
-Homepage: http://www.modsecurity.org
+Uploaders: Ervin Hegedus <airween@gmail.com>
+Build-Depends: debhelper (>= 12)
+Standards-Version: 4.4.1.1
+Homepage: https://coreruleset.org
+Vcs-Browser: https://salsa.debian.org/debian/modsecurity-crs
+Vcs-Git: https://salsa.debian.org/debian/modsecurity-crs.git
 
 Package: modsecurity-crs
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: libapache2-mod-security2 (<< 2.9.1-2+deb9u2)
-Recommends: libapache2-mod-security2 (>= 2.9.1-2+deb9u2)
-Suggests: lua, geoip-database-contrib, ruby
+Recommends: libapache2-mod-security2 (>= 2.8.0)
+Suggests: lua, geoip-database-contrib, ruby, python
 Description: OWASP ModSecurity Core Rule Set
  modsecurity provides critical protections against attacks across most every
  web architecture. CRS is based on generic rules which focus on attack payload

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_compress:
 	dh_compress --exclude=common.c
@@ -22,9 +22,7 @@
 	mv debian/modsecurity-crs/usr/share/modsecurity-crs/rules/RESPONSE-999-EXCLUSION-RULES-AFTER-CRS.conf.example debian/modsecurity-crs/etc/modsecurity/crs/RESPONSE-999-EXCLUSION-RULES-AFTER-CRS.conf
 	cp debian/owasp-crs.load debian/modsecurity-crs/usr/share/modsecurity-crs/owasp-crs.load
 	cp -r util/ debian/modsecurity-crs/usr/share/modsecurity-crs/
-	cp -r id_renumbering/ debian/modsecurity-crs/usr/share/modsecurity-crs/
 
 override_dh_fixperms:
 	dh_fixperms
-	find debian/modsecurity-crs/usr/share/modsecurity-crs/util \( -name '*.c' -o -name '*.h' -o -name '*.tests' \) -exec chmod a-x {} \;
-
+	find debian/modsecurity-crs/usr/share/modsecurity-crs/util \( -name '*.c' -o -name '*.h' -o -name '*.tests' -o -name '*.yaml' \) -exec chmod a-x {} \;

## modsecurity-crs 3.3.2

=== debian/changelog ===
modsecurity-crs (3.3.2-1) unstable; urgency=medium

  * New upstream version
  * Fixes CVE-2021-35368 (Closes: #92000)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 24 Aug 2021 10:09:01 +0200

## modsecurity-crs 3.3.4

=== debian/changelog ===
modsecurity-crs (3.3.4-1~deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Rebuild for bullseye.
    - Keep libapache2-mod-security2 as Recommends and add Breaks
      against older versions.

 -- Adrian Bunk <bunk@debian.org>  Fri, 08 Aug 2025 19:13:24 +0300

modsecurity-crs (3.3.4-1) unstable; urgency=medium

  * New upstream version
  * Fixes CVE-2022-39955, CVE-2022-39956, CVE-2022-39957
    and CVE-2022-39958. (Closes: #1021137)
  * Lower libapache2-mod-security2 Recommends to Suggests.
    Bump version number due to new requirements.

 -- Ervin Hegedüs <airween@gmail.com>  Sun, 02 Oct 2022 17:24:54 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
 Package: modsecurity-crs
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: libapache2-mod-security2 (>= 2.8.0)
+Recommends: libapache2-mod-security2 (>= 2.9.3-3+deb11u2)
+Breaks: libapache2-mod-security2 (<< 2.9.3-3+deb11u2)
 Suggests: lua, geoip-database-contrib, ruby, python
 Description: OWASP ModSecurity Core Rule Set
  modsecurity provides critical protections against attacks across most every

=== debian/watch ===
version=3
https://github.com/coreruleset/coreruleset/releases .*/v?(\d[\d\.]+)\.tar\.gz

## modsecurity-crs 3.3.5

=== tests/regression/requirements.txt ===
ftw==1.3.0

=== debian/changelog ===
modsecurity-crs (3.3.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + modsecurity-crs: Add Multi-Arch: foreign.
  * Use versioned copyright format URI.
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * debian/watch: Use GitHub /tags rather than /releases page.
  * Set upstream metadata fields: Repository, Security-Contact.
    Note: see modifications in these PR's:
    https://salsa.debian.org/modsecurity-packaging-team/modsecurity-crs/-/merge_requests/2/
    https://salsa.debian.org/modsecurity-packaging-team/modsecurity-crs/-/merge_requests/4/

 -- Ervin Hegedüs <airween@gmail.com>  Sun, 01 Oct 2023 20:11:31 +0200

modsecurity-crs (3.3.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.3.5
    Fixes CVE-2023-38199. (Closes: #1041109)

 -- Ervin Hegedüs <airween@gmail.com>  Sat, 29 Jul 2023 17:04:52 +0200

## modsecurity-crs 3.3.7

=== debian/changelog ===
modsecurity-crs (3.3.7-1~bpo11+1) bullseye-backports; urgency=medium

  * New upstream release

 -- Ervin Hegedüs <airween@digitalwave.hu>  Thu, 31 Oct 2024 19:52:34 +0100

modsecurity-crs (3.3.6-1~bpo11+1) bullseye-backports; urgency=medium

  * New upstream release

 -- Ervin Hegedüs <airween@digitalwave.hu>  Wed, 04 Sep 2024 16:51:27 +0200

modsecurity-crs (3.3.5-1~bpo11+1) bullseye-backports; urgency=medium

  * New upstream release.

 -- Ervin Hegedüs <airween@digitalwave.hu>  Wed, 26 Jul 2023 22:05:04 +0200

modsecurity-crs (3.3.4-1~bpo11+1) bullseye-backports; urgency=medium

  * New upstream release.

 -- Ervin Hegedüs <airween@digitalwave.hu>  Tue, 27 Sep 2022 14:12:42 +0200

modsecurity-crs (3.3.2-2~bpo11+1) bullseye-backports; urgency=medium

  * Bullseye backport
  * Bump compat version to 13

 -- Ervin Hegedüs <airween@digitalwave.hu>  Thu, 02 Sep 2021 20:22:33 +0200

modsecurity-crs (3.3.2-2~bpo10+1) buster-backports; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Fix CVE-2021-35368 WAF bypass using pathinfo

 -- Ervin Hegedüs <airween@digitalwave.hu>  Wed, 30 Jun 2021 13:35:43 +0200

modsecurity-crs (3.3.0-1~bpo10+1) buster-backports; urgency=medium

  * Non-maintainer upload.
  * Backported 3.3.0 to buster

 -- Ervin Hegedüs <airween@digitalwave.hu>  Tue, 16 Feb 2021 11:43:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
 Uploaders: Ervin Hegedus <airween@gmail.com>
-Build-Depends: debhelper (>= 12)
+Build-Depends: debhelper (>= 13)
 Standards-Version: 4.4.1.1
 Homepage: https://coreruleset.org
 Vcs-Browser: https://salsa.debian.org/debian/modsecurity-crs
@@ -12,8 +12,7 @@
 Package: modsecurity-crs
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: libapache2-mod-security2 (>= 2.9.3-3+deb11u2)
-Breaks: libapache2-mod-security2 (<< 2.9.3-3+deb11u2)
+Recommends: libapache2-mod-security2 (>= 2.8.0)
 Suggests: lua, geoip-database-contrib, ruby, python
 Description: OWASP ModSecurity Core Rule Set
  modsecurity provides critical protections against attacks across most every

=== debian/watch ===


## modsecurity-crs 3.3.8

=== debian/changelog ===
modsecurity-crs (3.3.8-1) unstable; urgency=medium

  * New upstream version 3.3.8
    Fixes CVE-2026-21876 (Closes: #1125084)

 -- Ervin Hegedus <airween@gmail.com>  Sat, 10 Jan 2026 10:34:26 +0100

modsecurity-crs (3.3.7-1) unstable; urgency=medium

  * New upstream version 3.3.7

 -- Ervin Hegedüs <airween@gmail.com>  Thu, 31 Oct 2024 19:19:50 +0100

modsecurity-crs (3.3.6-1) unstable; urgency=medium

  * New upstream version 3.3.6

 -- Ervin Hegedüs <airween@gmail.com>  Thu, 05 Sep 2024 17:40:50 +0200
